ALTER TRIGGER(7)

NAME
ALTER_TRIGGER - change the definition of a trigger

SYNOPSIS

ALTER TRIGGER name ON table RENAME TO new_name

DESCRIPTION

ALTER TRIGGER changes properties of an existing trigger. The RENAME clause changes the name of the given trigger without otherwise changing the trigger definition.

You must own the table on which the trigger acts to be allowed to change its properties.

PARAMETERS

name
    The name of an existing trigger to alter.

table
    The name of the table on which this trigger acts.

new_name
    The new name for the trigger.

NOTES

The ability to temporarily enable or disable a trigger is provided by ALTER TABLE (ALTER_TABLE(7)), not by ALTER TRIGGER, because ALTER TRIGGER has no convenient way to express the option of enabling or disabling all of a table's triggers at once.

EXAMPLES

To rename an existing trigger:

    ALTER TRIGGER emp_stamp ON emp RENAME TO emp_track_chgs;

COMPATIBILITY

ALTER TRIGGER is a PostgreSQL extension of the SQL standard.

SEE ALSO
ALTER TABLE (ALTER_TABLE(7))